function wplaysoundext(h)

MsgStr = { 'Please define a proper region (range) to play.'; ''; 
           'To select a region, use:'
           '      - [make sure the +/- zoom buttons are off (not depressed)]'
           ' (i)  left-click to mark the starting point';
           '            (shown as solid vertical red line), and'; '';
           ' (ii) right-click to mark the end point of a region.'
           '            (shown as dotted vertical red line).';''; 
           '';
           'For more help, type "help pw" on the command line'};
       
% range = get(h.fig, 'UserData');
% range = floor( range * h.fs);
range1=floor(get(h.v1,'XData') * h.fs);
range2=floor(get(h.v2,'XData') * h.fs);

if (range2(2)-range1(1)) <=0
    % play reverse - for curiosity or ....
    % soundsc( h.x(range(1):-1:range(2)), h.fs );
    msgbox(MsgStr, 'PT: ERROR', 'error');
    return;
end;   
    sound( h.x(range1(1):range2(2)), h.fs );    
end